JDBC42ServerPreparedStatement
Date: 2018-05-06

com.mysql.jdbc

## Class JDBC42ServerPreparedStatement

- java.lang.Object
- - com.mysql.jdbc.StatementImpl
  - - com.mysql.jdbc.PreparedStatement
    - - com.mysql.jdbc.ServerPreparedStatement
      - - com.mysql.jdbc.JDBC4ServerPreparedStatement
        - - com.mysql.jdbc.JDBC42ServerPreparedStatement

- All Implemented Interfaces:
    Wrapper, java.lang.AutoCloseable, java.sql.PreparedStatement, java.sql.Statement

      public class JDBC42ServerPreparedStatement
      extends JDBC4ServerPreparedStatement

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.mysql.jdbc.ServerPreparedStatement

      `ServerPreparedStatement.BatchedBindValues, ServerPreparedStatement.BindValue`

    - ### Nested classes/interfaces inherited from class com.mysql.jdbc.PreparedStatement

      `PreparedStatement.AppendingBatchVisitor, PreparedStatement.BatchParams, PreparedStatement.BatchVisitor, PreparedStatement.EmulatedPreparedStatementBindings, PreparedStatement.EndPoint, PreparedStatement.ParseInfo`

    - ### Nested classes/interfaces inherited from class com.mysql.jdbc.StatementImpl

      `StatementImpl.CancelTask`

  - ### Field Summary

    - ### Fields inherited from class com.mysql.jdbc.ServerPreparedStatement

      `BLOB_STREAM_READ_BUF_SIZE, isCached`

    - ### Fields inherited from class com.mysql.jdbc.PreparedStatement

      `batchCommandIndex, batchedValuesClause, batchHasPlainStatements, firstCharOfStmt, isLoadDataQuery, isNull, numberOfExecutions, originalSql, parameterCount, parameterMetaData, parameterTypes, parseInfo, rewrittenBatchSize, serverSupportsFracSecs, useTrueBoolean, usingAnsiMode`

    - ### Fields inherited from class com.mysql.jdbc.StatementImpl

      `batchedArgs, batchedGeneratedKeys, cancelTimeoutMutex, charConverter, charEncoding, clearWarningsCalled, connection, connectionId, continueBatchOnError, currentCatalog, doEscapeProcessing, eventSink, generatedKeysResults, holdResultsOpenOverClose, isClosed, lastInsertId, lastQueryIsOnDupKeyUpdate, maxFieldSize, maxRows, ON_DUPLICATE_KEY_UPDATE_CLAUSE, openResults, pedantic, PING_MARKER, pingTarget, pointOfOrigin, profileSQL, results, resultSetConcurrency, resultSetType, retrieveGeneratedKeys, sendFractionalSeconds, statementCounter, statementExecuting, statementId, timeoutInMillis, updateCount, useLegacyDatetimeCode, USES_VARIABLES_FALSE, USES_VARIABLES_TRUE, USES_VARIABLES_UNKNOWN, useUsageAdvisor, version5013OrNewer, warningChain, wasCancelled, wasCancelledByTimeout`

    - ### Fields inherited from interface java.sql.Statement

      `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBC42ServerPreparedStatement(MySQLConnection conn, java.lang.String sql, java.lang.String catalog, int resultSetType, int resultSetConcurrency)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setObject(int parameterIndex, java.lang.Object x)` Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
    `void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType)` Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
    `void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType, int scaleOrLength)` Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
    `void` | `setObject(int parameterIndex, java.lang.Object x, SQLType targetSqlType)` Support for java.sql.JDBCType/java.sql.SQLType.
    `void` | `setObject(int parameterIndex, java.lang.Object x, SQLType targetSqlType, int scaleOrLength)` Support for java.sql.JDBCType/java.sql.SQLType.

    - ### Methods inherited from class com.mysql.jdbc.JDBC4ServerPreparedStatement

      `setNCharacterStream, setNClob, setNClob, setNString, setRowId, setSQLXML`

    - ### Methods inherited from class com.mysql.jdbc.ServerPreparedStatement

      `addBatch, asSql, canRewriteAsMultiValueInsertAtSqlLevel, canRewriteAsMultivalueInsertStatement, checkClosed, clearParameters, close, computeMaxParameterSetSizeAndBatchSize, containsOnDuplicateKeyUpdateInSQL, executeBatchSerially, executeInternal, fillSendPacket, fillSendPacket, getBinding, getBytes, getInstance, getLocationOfOnDuplicateKeyUpdate, getMetaData, getParameterBindValues, getParameterMetaData, getServerStatementId, isNull, isOnDuplicateKeyUpdate, prepareBatchedInsertSQL, realClose, rePrepare, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setClosed, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setOneBatchedParameterSet, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setType, setUnicodeStream, setURL, toString`

    - ### Methods inherited from class com.mysql.jdbc.PreparedStatement

      `addBatch, asSql, canRewrite, checkBounds, checkReadOnlySafeStatement, clearBatch, computeBatchSize, detectFractionalSecondsSupport, execute, executeBatchedInserts, executeBatchInternal, executeLargeUpdate, executePreparedBatchAsMultiStatement, executeQuery, executeUpdate, executeUpdateInternal, executeUpdateInternal, getBytesRepresentation, getBytesRepresentationForBatch, getDateTime, getInstance, getInstance, getInstance, getNonRewrittenSql, getParameterBindings, getParameterIndexOffset, getParseInfo, getPreparedSql, getRewrittenBatchSize, getUpdateCount, getValuesClause, isSelectQuery, readFully, setAsciiStream, setAsciiStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBytes, setBytesNoEscape, setBytesNoEscapeNoQuotes, setCharacterStream, setCharacterStream, setClob, setClob, setInternal, setInternal, setNCharacterStream, setNClob, setRetrieveGeneratedKeys`

    - ### Methods inherited from class com.mysql.jdbc.StatementImpl

      `cancel, checkForDml, checkNullOrEmptyQuery, clearWarnings, closeAllOpenResults, closeOnCompletion, containsOnDuplicateKeyInString, createStreamingResultSet, disableStreamingResults, doPingInstead, enableStreamingResults, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeSimpleNonQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdateInternal, findStartOfStatement, generatePingResultSet, getBatchedArgs, getBatchedGeneratedKeys, getBatchedGeneratedKeys, getCalendarInstanceForSessionOrNew, getConnection, getExceptionInterceptor, getFetchDirection, getFetchSize, getGeneratedKeys, getGeneratedKeysInternal, getGeneratedKeysInternal, getId, getLargeMaxRows, getLargeUpdateCount, getLastInsertID, getLocalInfileInputStream, getLongUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getOnDuplicateKeyLocation, getOpenResultSetCount, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetInternal, getResultSetType, getWarnings, handleExceptionForBatch, hasDeadlockOrTimeoutRolledBackTx, implicitlyCloseAllOpenResults, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, processMultiCountsAndKeys, removeOpenResultSet, resetCancelledState, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setHoldResultsOpenOverClose, setLargeMaxRows, setLocalInfileInputStream, setMaxFieldSize, setMaxRows, setPingTarget, setPoolable, setQueryTimeout, setResultSetConcurrency, setResultSetType, setupStreamingTimeout, statementBegins, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.sql.Statement

      `cancel, clearWarnings, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Constructor Detail

    - #### JDBC42ServerPreparedStatement

          public JDBC42ServerPreparedStatement(MySQLConnection conn,
                                       java.lang.String sql,
                                       java.lang.String catalog,
                                       int resultSetType,
                                       int resultSetConcurrency)
                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

  - ### Method Detail

    - #### setObject

          public void setObject(int parameterIndex,
                       java.lang.Object x)
                         throws java.sql.SQLException

      Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Overrides:
        `setObject` in class `PreparedStatement`
      Parameters:
        `parameterIndex` -
        `x` -
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                       java.lang.Object x,
                       int targetSqlType)
                         throws java.sql.SQLException

      Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Overrides:
        `setObject` in class `PreparedStatement`
      Parameters:
        `parameterIndex` -
        `x` -
        `targetSqlType` -
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                       java.lang.Object x,
                       int targetSqlType,
                       int scaleOrLength)
                         throws java.sql.SQLException

      Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Overrides:
        `setObject` in class `PreparedStatement`
      Parameters:
        `parameterIndex` -
        `x` -
        `targetSqlType` -
        `scaleOrLength` -
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                       java.lang.Object x,
                       SQLType targetSqlType)
                         throws java.sql.SQLException

      Support for java.sql.JDBCType/java.sql.SQLType. Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Overrides:
        `setObject` in class `PreparedStatement`
      Parameters:
        `parameterIndex` -
        `x` -
        `targetSqlType` -
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                       java.lang.Object x,
                       SQLType targetSqlType,
                       int scaleOrLength)
                         throws java.sql.SQLException

      Support for java.sql.JDBCType/java.sql.SQLType. Support for java.time.LocalDate, java.time.LocalTime, java.time.LocalDateTime, java.time.OffsetTime and java.time.OffsetDateTime.
      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Overrides:
        `setObject` in class `PreparedStatement`
      Parameters:
        `parameterIndex` -
        `x` -
        `targetSqlType` -
        `scaleOrLength` -
      Throws:
        `java.sql.SQLException`